Impossible d'installer les paquets LaTeX car tlmgr ne veut pas

L’auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonsoir,

Je suis en train de modifier le script d’installation de Zeste de Savoir pour l’adapter à Debian 10 sur lequel on va migrer bientôt et j’ai une erreur bloquante avec l’installation des outils liés à LaTeX.

Dans ce fichier, on installe texlive, texlive-luatex, texlive-lang-french, texlive-latex-extra, texlive-fonts-extra via les dépôts Apt de Debian 10.

Juste après, dans ce fichier, on lance les commandes tlmgr update --list et tlmgr install {{ liste des paquets }}. La commande tlmgr update --list me renvoie l’erreur :

tlmgr: Remote repository is newer than local (2018 < 2019)
Cross release updates are only supported with
  update-tlmgr-latest(.sh/.exe) --update
Please see https://tug.org/texlive/upgrade.html for details.

Si j’ai bien compris, il me faudrait installer texlive en version 2019. J’ai pas envie de réinstaller texlive chaque année donc j’ai cherché une solution alternative et j’ai lu qu’il y a moyen de demander à tlmgr d’utiliser le dépôt de 2018 au lieu de celui de 2019 en lançant la commande tlmgr option repository ftp://tug.org/historic/systems/texlive/2018/tlnet-final avant tlmgr update --list.

Cette fois-ci, j’obtiens cette erreur :

TeX Live 2018 is frozen forever and will no\nlonger be updated.  This happens in preparation for a new release. If you're interested in helping to pretest the new release (when\npretests are available), please read https://tug.org/texlive/pretest.html. Otherwise, just wait, and the new release will be ready in due time. TeX Live 2018 is frozen forever and will no longer be updated.  This happens in preparation for a new release.

Est-ce que quelqu’un habitué à tlmgr peut m’éclairer sur la bonne manière de résoudre ce problème ?

Édité par Situphen

+0 -0
Auteur du sujet

J’ai résolu le soucis !

En fait, la deuxième erreur n’était pas "TeX Live 2018 is frozen forever…" mais une erreur ailleurs dans le log qui demande à ce qu’on lance la commande updmap-user ou updmap-sys pour que updmap sache si on veut le mode utilisateur ou système.

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte